=== debian/changelog ===
gvmd (22.4.2-1) unstable; urgency=medium

  * New upstream version 22.4.2
  * Fix the postinst(s) (Closes: #1029624): put the command in the postinst of
    the correct package
  * Bump Standards-Version to 4.6.2 (no changes)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 26 Jan 2023 11:24:58 +0100

gvmd (22.4.1-1) unstable; urgency=medium

  [ Sophie Brun ]
  * New upstream version 22.4.0
  * Refresh patches
  * Update debian/copyright
  * Update build-deps
  * Add depends pg-gvm
  * Remove old patches (for old migrations)
  * Update deps: switch to libgvm22
  * Add missing dep notus-scanner
  * Update minimal version of ospd-openvas
  * Fix pre-installed files for export pdf
  * New upstream version 22.4.1
  * Refresh patches
  * Fix build with new gpgme (Closes: #1024810)
  * Remove useless depends on obsolete package lsb-base

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.
  * Remove constraints unnecessary since buster (oldstable)

  [ Heinrich Schuchardt ]
  * Fix buffer overrun in buffer_aggregate_xml()

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 23 Jan 2023 10:26:19 +0100

gvmd (21.4.5-2) unstable; urgency=medium

  * Add a patch to fix the regex for the new glib2.0: it was breaking the
    validation of the username in gvmd (see
    https://bugs.kali.org/view.php?id=7926).

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 21 Sep 2022 09:11:57 +0200
