## gvmd 22.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2009-2022 Greenbone Networks GmbH
+# Copyright (C) 2009-2022 Greenbone AG
 #
 # SPDX-License-Identifier: AGPL-3.0-or-later
 #
@@ -20,7 +20,7 @@
 message ("-- Configuring Greenbone Vulnerability Manager...")
 
 project (gvm
-         VERSION 22.4.2
+         VERSION 22.8.0
          LANGUAGES C)
 
 if (POLICY CMP0005)
@@ -37,6 +37,11 @@
 
 OPTION (ENABLE_COVERAGE "Enable support for coverage analysis" OFF)
 OPTION (DEBUG_FUNCTION_NAMES "Print function names on entry and exit" OFF)
+# the shell based scripts got replaced by https://github.com/greenbone/greenbone-feed-sync/
+OPTION (INSTALL_OLD_SYNC_SCRIPTS "Install shell based feed sync scripts" OFF)
+if (INSTALL_OLD_SYNC_SCRIPTS)
+  message (DEPRECATION "The version of greenbone-feed-sync included in gvmd is deprecated in favor of the newer Python version (https://github.com/greenbone/greenbone-feed-sync/) and will be removed in the next major version.")
+endif (INSTALL_OLD_SYNC_SCRIPTS)
 
 ## Retrieve git revision (at configure time)
 include (GetGit)
@@ -85,7 +90,7 @@
 
 set (CPACK_PACKAGE_FILE_NAME "${PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
 set (CPACK_SOURCE_PACKAGE_FILE_NAME "${PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
-set (CPACK_PACKAGE_VENDOR "Greenbone Networks GmbH")
+set (CPACK_PACKAGE_VENDOR "Greenbone AG")
 set (CPACK_SOURCE_IGNORE_FILES
 "${CMAKE_BINARY_DIR}"
 "/.git/"
@@ -96,9 +101,9 @@
 
 ## Variables
 
-set (GVMD_DATABASE_VERSION 250)
-
-set (GVMD_SCAP_DATABASE_VERSION 19)
+set (GVMD_DATABASE_VERSION 255)
+
+set (GVMD_SCAP_DATABASE_VERSION 20)
 
 set (GVMD_CERT_DATABASE_VERSION 8)
 
@@ -303,6 +308,10 @@
 # Schema formats.
 
 install (FILES src/schema_formats/rnc.xsl
+         DESTINATION ${GVMD_DATA_DIR}/global_schema_formats/
+         PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ)
+
+install (FILES src/schema_formats/rnc.xsl
                src/schema_formats/HTML/HTML.xsl
          DESTINATION ${GVMD_DATA_DIR}/global_schema_formats/02052818-dab6-11df-9be4-002264764cea/
          PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ)
@@ -328,15 +337,3 @@
          DESTINATION ${GVMD_DATA_DIR}/global_schema_formats/18e826fc-dab6-11df-b913-002264764cea/
          PERMISSIONS OWNER_WRITE OWNER_READ OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
 
-install (FILES src/schema_formats/XML-brief/GMP.xsl
-         DESTINATION ${GVMD_DATA_DIR}/global_schema_formats/d6cf255e-947c-11e1-829a-406186ea4fc5/
-         PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ)
-
-install (FILES src/schema_formats/XML-brief/generate
-         DESTINATION ${GVMD_DATA_DIR}/global_schema_formats/d6cf255e-947c-11e1-829a-406186ea4fc5/
-         PERMISSIONS OWNER_WRITE OWNER_READ OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
-
-# Alert methods.
-
-install (FILES src/alert_methods/SCP/alert
-         DESTINATION ${GVMD_DATA_DIR}/global_alert_methods/2db07698-ec49-11e5-bcff-28d24461215b/
