=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2009-2022 Greenbone Networks GmbH
+# Copyright (C) 2009-2022 Greenbone AG
 #
 # SPDX-License-Identifier: AGPL-3.0-or-later
 #
@@ -26,14 +26,15 @@
 ## list and throw an error, otherwise long install-cmake-install-cmake cycles
 ## might occur.
 
-pkg_check_modules (LIBGVM_BASE REQUIRED libgvm_base>=22.4)
-pkg_check_modules (LIBGVM_UTIL REQUIRED libgvm_util>=22.4)
-pkg_check_modules (LIBGVM_OSP REQUIRED libgvm_osp>=22.4)
-pkg_check_modules (LIBGVM_GMP REQUIRED libgvm_gmp>=22.4)
+pkg_check_modules (LIBGVM_BASE REQUIRED libgvm_base>=22.6)
+pkg_check_modules (LIBGVM_UTIL REQUIRED libgvm_util>=22.6)
+pkg_check_modules (LIBGVM_OSP REQUIRED libgvm_osp>=22.6)
+pkg_check_modules (LIBGVM_GMP REQUIRED libgvm_gmp>=22.6)
 pkg_check_modules (GNUTLS REQUIRED gnutls>=3.2.15)
 pkg_check_modules (GLIB REQUIRED glib-2.0>=2.42)
 pkg_check_modules (LIBBSD REQUIRED libbsd)
 pkg_check_modules (LIBICAL REQUIRED libical>=1.00)
+pkg_check_modules (GPGME REQUIRED gpgme)
 
 message (STATUS "Looking for PostgreSQL...")
 find_program (PG_CONFIG_EXECUTABLE pg_config DOC "pg_config")
@@ -45,7 +46,7 @@
 if (NOT PostgreSQL_FOUND)
   message (SEND_ERROR "The PostgreSQL library is required.")
 endif (NOT PostgreSQL_FOUND)
-string (REGEX MATCH "^[ \t]*\([0-9]+\)\\.\([0-9]+\)\(.*\)" TEMP ${PostgreSQL_VERSION_STRING})
+string (REGEX MATCH "^[ \t]*\([0-9]+\)\\.\([0-9]+\)\(.*\)" TEMP "${PostgreSQL_VERSION_STRING}")
 if (NOT CMAKE_MATCH_1)
   message (SEND_ERROR "Error matching PostgreSQL version.")
 elseif ((CMAKE_MATCH_1 EQUAL 9 AND CMAKE_MATCH_2 LESS 6)
@@ -70,19 +71,22 @@
   message (STATUS "Looking for xsltproc... ${XSLTPROC_EXECUTABLE}")
 endif (NOT XSLTPROC_EXECUTABLE)
 
-message (STATUS "Looking for gpgme...")
-find_library (GPGME gpgme)
-if (NOT GPGME)
-  message (SEND_ERROR "The gpgme library is required.")
-else (NOT GPGME)
-  message (STATUS "Looking for gpgme... ${GPGME}")
-  execute_process (COMMAND gpgme-config --cflags
-    OUTPUT_VARIABLE GPGME_CFLAGS
-    OUTPUT_STRIP_TRAILING_WHITESPACE)
-  execute_process (COMMAND gpgme-config --libs
-    OUTPUT_VARIABLE GPGME_LDFLAGS
-    OUTPUT_STRIP_TRAILING_WHITESPACE)
-endif (NOT GPGME)
+if (NOT GPGME_FOUND)
+  # fallback for older gpgme versions without gpgme.pc file
+  message (STATUS "Looking for gpgme...")
+  find_library (GPGME gpgme)
+  if (NOT GPGME)
+    message (SEND_ERROR "The gpgme library is required.")
+  else (NOT GPGME)
+    message (STATUS "Looking for gpgme... ${GPGME}")
+    execute_process (COMMAND gpgme-config --cflags
+      OUTPUT_VARIABLE GPGME_CFLAGS
+      OUTPUT_STRIP_TRAILING_WHITESPACE)
+    execute_process (COMMAND gpgme-config --libs
+      OUTPUT_VARIABLE GPGME_LDFLAGS
+      OUTPUT_STRIP_TRAILING_WHITESPACE)
+  endif (NOT GPGME)
+endif (NOT GPGME_FOUND)
 
 if (WITH_LIBTHEIA)
   find_package(Theia 1.0.0 REQUIRED)
@@ -127,7 +131,7 @@
                 sql_pg.c manage_pg.c
                 lsc_user.c lsc_crypt.c utils.c
                 gmp.c gmp_base.c gmp_configs.c gmp_delete.c gmp_get.c
-                gmp_license.c
+                gmp_license.c gmp_logout.c
                 gmp_port_lists.c gmp_report_formats.c gmp_tickets.c
                 gmp_tls_certificates.c)
 
@@ -154,7 +158,7 @@
                 sql_pg.c manage_pg.c
                 lsc_user.c lsc_crypt.c utils.c
                 gmp.c gmp_base.c gmp_configs.c gmp_delete.c gmp_get.c
-                gmp_license.c
+                gmp_license.c gmp_logout.c
                 gmp_port_lists.c gmp_report_formats.c gmp_tickets.c
                 gmp_tls_certificates.c)
 
@@ -181,7 +185,7 @@
                 sql_pg.c manage_pg.c
                 lsc_user.c lsc_crypt.c utils.c
                 gmp.c gmp_base.c gmp_configs.c gmp_delete.c gmp_get.c
-                gmp_license.c
+                gmp_license.c gmp_logout.c
                 gmp_port_lists.c gmp_report_formats.c gmp_tickets.c
                 gmp_tls_certificates.c)
 
@@ -208,7 +212,7 @@
                 sql_pg.c manage_pg.c
                 lsc_user.c lsc_crypt.c utils.c
                 gmp.c gmp_base.c gmp_configs.c gmp_delete.c gmp_get.c
-                gmp_license.c
+                gmp_license.c gmp_logout.c
                 gmp_port_lists.c gmp_report_formats.c gmp_tls_certificates.c)
 
 add_test (gmp-tickets-test gmp-tickets-test)
@@ -234,7 +238,7 @@
                 sql_pg.c manage_pg.c
                 lsc_user.c lsc_crypt.c
                 gmp.c gmp_base.c gmp_configs.c gmp_delete.c gmp_get.c
-                gmp_license.c
+                gmp_license.c gmp_logout.c
                 gmp_port_lists.c gmp_report_formats.c gmp_tickets.c
                 gmp_tls_certificates.c)
 
@@ -263,7 +267,7 @@
                 sql_pg.c manage_pg.c
                 lsc_user.c lsc_crypt.c utils.c
                 gmp.c gmp_base.c gmp_configs.c gmp_delete.c gmp_get.c
-                gmp_license.c
+                gmp_license.c gmp_logout.c
                 gmp_port_lists.c gmp_report_formats.c gmp_tickets.c
                 gmp_tls_certificates.c)
 
@@ -275,6 +279,3 @@
 target_link_libraries (manage-test cgreen m
                        ${GNUTLS_LDFLAGS} ${GPGME_LDFLAGS} ${CMAKE_THREAD_LIBS_INIT} ${LINKER_HARDENING_FLAGS} ${LINKER_DEBUG_FLAGS}
                        ${PostgreSQL_LIBRARIES} ${LIBBSD_LDFLAGS} ${GLIB_LDFLAGS} ${GTHREAD_LDFLAGS}
-                       ${LIBGVM_BASE_LDFLAGS} ${LIBGVM_UTIL_LDFLAGS} ${LIBGVM_OSP_LDFLAGS} ${LIBGVM_GMP_LDFLAGS}
-                       ${LIBICAL_LDFLAGS} ${LINKER_HARDENING_FLAGS} ${OPT_THEIA_TGT})
-target_link_libraries (manage-sql-test cgreen m
