=== debian/changelog ===
gvmd (22.8.0-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 01:27:55 +0200

gvmd (22.8.0-0kali1) kali-experimental; urgency=medium

  * Add nsis and rpm in Recommends
  * Add new package greenbone-feed-sync in dependency
  * Update debian/copyright
  * Use minimal version  libgvm-dev (>= 22.6.3)
  * Refresh patches
  * Do not install old sync scripts
  * Update debian/README.Debian for gvm 22.5
  * New upstream version 22.8.0

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 18 Aug 2023 12:21:05 +0200
